using System.Collections.Generic;
using ChuPiao.Common.Models;
using ChuPiao.AutoPrint.Configuration;

namespace ChuPiao.AutoPrint.Services.AutoPrint
{
    public static class AutoPrintServiceManager
    {
        //static bool initialized;
        private static SortedDictionary<string, AutoPrintService> _serviceList = new SortedDictionary<string, AutoPrintService>();

        public static SortedDictionary<string, AutoPrintService> ServiceList
        {
            get { return _serviceList; }
            set { _serviceList = value; }
        }

        private static M_ComputerEntity _computer = new M_ComputerEntity();

        public static M_ComputerEntity Computer
        {
            get { return _computer; }
            set { _computer = value; }
        }

        public static Dictionary<string, MachineXmlEntity> MachineXmlEntityDic = new Dictionary<string, MachineXmlEntity>();
    }
}
